﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using AVON.DMS.Model;

namespace AVON.DMS.DAL
{
    public class RepDAL
    {
        Entities DMSDAL = new Entities();
        /// <summary>
        /// 添加会员
        /// </summary>
        /// <param name="rep">会员实体</param>
        /// <returns></returns>
        public bool AddtoRep(REP rep)
        {
            try
            {
                DMSDAL.REP.Add(rep);
                DMSDAL.SaveChanges();
            }
            catch (Exception)
            {
                return false;
            }
            return true;
        }

        /// <summary>
        /// 根据会员编号删除会员
        /// </summary>
        /// <param name="repNo">会员编号</param>
        /// <returns></returns>
        public bool DeleteRep(string repNo)
        {
            try
            {
                REP delRep = DMSDAL.REP.First<AVON.DMS.Model.REP>(o => o.NO == repNo);
                DMSDAL.REP.Remove(delRep);
                DMSDAL.SaveChanges();
            }
            catch (Exception)
            {
                return false;
            }
            return true;
        }

        /// <summary>
        /// 根据会员编号返回会员实体
        /// </summary>
        /// <param name="repNo">会员编号</param>
        /// <returns></returns>
        public REP GetFromRep(string repNo)
        {
            try
            {
                return DMSDAL.REP.SingleOrDefault<AVON.DMS.Model.REP>(t => t.NO == repNo);
            }
            catch (Exception)
            {
                return null;
            }
        }

        /// <summary>
        /// 更新实体
        /// </summary>
        /// <param name="rep">实体</param>
        /// <returns></returns>
        public bool UpdateRep(REP rep)
        {
            try
            {
                REP upRep = DMSDAL.REP.First<AVON.DMS.Model.REP>(o => o.NO == rep.NO);
                upRep.ADDRESS1 = rep.ADDRESS1;
                upRep.BIRTHDAY = rep.BIRTHDAY;
                upRep.DELIVER = rep.DELIVER;
                upRep.MAIL_NO = rep.MAIL_NO;
                DMSDAL.SaveChanges();
            }
            catch (Exception)
            {
                return false;
            }
            return true;
        }

    }
}
